#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

int getline(char s[], int n){
int i,c;

for(i=0;i<n  && (c=getchar())!=EOF && c!='\n'; i++)
{
	s[i]=c;
}
s[i]='\0';
return i;
}

int tele(char tel[])
{
int i, h, ok=1;
h=strlen(tel);

if(h!=9){ok=0;}

else{

for(i=0;i<h;i++)
	{
	if(!isdigit(tel[i])){ok=0;}
	else{
		if(tel[0]!= '2' ||tel[0]!= '3' || tel[0]!= '7'){ok=0;}
		else{ok=1;}

		/*if(ok=1){
		if(tel[1]!='0'){ok=0;}
		else{ok=1;}*/
		}	/*else záró*/
	}	/*for záró*/
}	/*else záró*/

return ok;
}


void main(void)
{
char tel[128];
char szav[128];
int ok=1;


printf("\t Telefonszam bekero progi\n");

do{
printf("Adja meg a telefonszamot:\n");

getline(tel,128);

if(tele(tel)){ok=1; printf("Jo");}
else{ok=0; printf("Nem jo");}

}while(ok!=1);

}